# Summary

* [概览](README.md)
* 快速入门
  * [项目结构和初始化](guides/project.md)
  * [API](guides/api.md)
  * [生成 API 文档](guides/doc.md)
  * [生成客户端](guides/client.md)
* 概念
  * [Consumer && Producer](concepts/cp.md)
  * [Operator](concepts/operator.md)
  * [Filter](concepts/filter.md)
  * [Prefab](concepts/prefab.md)
  * [Modifier](concepts/modifier.md)
  * [Middleware](concepts/middleware.md)
  * [Context](concepts/context.md)
  * [Parameter Generator](concepts/source.md)
  * [Destination Handler](concepts/destination.md)
  * [错误包](concepts/error.md)
  * [方法包](concepts/method.md)
  * [配置器机制](concepts/configurer.md)
  * [插件机制](concepts/plugin.md)
  * [多客户端整合](concepts/clients.md)
* 插件
  * [系统日志插件](plugins/logger.md)
  * [请求日志插件](plugins/reqlog.md)
  * [监控指标插件](plugins/metrics.md)
  * [请求追踪插件](plugins/tracing.md)
  * [性能分析插件](plugins/profiling.md)
  * [版本信息插件](plugins/version.md)
  * [健康检查插件](plugins/healthcheck.md)
* 框架开发者指南
  * [准备工作](topics/start.md)
  * [log](topics/log.md)
  * [errors](topics/errors.md)
  * [definition](topics/definition.md)
  * [definition/method](topics/method.md)
  * [operators/converter](topics/converter.md)
  * [operators/validator](topics/validator.md)
  * [service/router](topics/router.md)
  * [service](topics/service.md)
  * [nirvana](topics/nirvana.md)
  * [config](topics/config.md)
  * [rest](topics/rest.md)
  * [utils](topics/utils.md)
  * [cmd/nirvana](topics/command.md)
